# dirs

abstract fun dirs(@Nullable paths: Array<@Nullable Any>): TaskOutputFilePropertyBuilder

Registers some output directories for this task.

When the given `paths` is a java.util.Map, then each output directory will be associated with an identity. The keys of the map must be non-empty strings. The values of the map will be evaluated to individual directories as per file.

Otherwise the given directories will be evaluated as per files.

#### Since

3.3

#### Parameters

paths

The output files.

#### See also

CacheableTask